%define upstream_name    Sub-Exporter
%define upstream_version 0.991

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A sophisticated exporter for custom-built routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList) >= 0.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Util) >= 0.140.0
BuildRequires: perl(Sub::Install) >= 0.920.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sub
%{_mandir}/*/*

%changelog
* Mon Dec 04 2023 tv <tv> 0.991.0-1.mga10
+ Revision: 2012954
- update to 0.991

* Tue Aug 29 2023 tv <tv> 0.990.0-1.mga10
+ Revision: 1981017
- update to 0.990

* Mon Jan 02 2023 tv <tv> 0.989.0-1.mga9
+ Revision: 1928872
- update to 0.989

* Mon Mar 21 2022 umeabot <umeabot> 0.988.0-2.mga9
+ Revision: 1814625
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.988.0-1.mga9
+ Revision: 1731829
- update to 0.988

* Wed Feb 12 2020 umeabot <umeabot> 0.987.0-8.mga8
+ Revision: 1497229
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.987.0-7.mga7
+ Revision: 1271245
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.987.0-6.mga6
+ Revision: 1033483
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.987.0-5.mga6
+ Revision: 935104
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.987.0-4.mga5
+ Revision: 750664
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.987.0-3.mga5
+ Revision: 733443
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.987.0-2.mga5
+ Revision: 686263
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.987.0-1.mga5
+ Revision: 585166
- update to 0.987

* Sat Oct 19 2013 umeabot <umeabot> 0.986.0-2.mga4
+ Revision: 528761
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.986.0-1.mga4
+ Revision: 447089
- update to 0.986

* Sat Jun 01 2013 takashi <takashi> 0.985.0-2.mga4
+ Revision: 433973
- Update to 0.985

* Sun Jan 13 2013 umeabot <umeabot> 0.984.0-2.mga3
+ Revision: 372884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.984.0-1.mga3
+ Revision: 268037
- update to 0.984

* Wed Jan 19 2011 jquelin <jquelin> 0.982-4.mga1
+ Revision: 24141
- cleaning spec file
- imported package perl-Sub-Exporter

